%define astapi 13
%define pjprojectversion 2.4

#%define docdir /usr/share/doc/asterisk
%define logdir /var/log

Summary: Asterisk, The Open Source PBX
Name: asterisk13
Version: 13.10.0
# reset release to 1 with each version bump
# TODO: Are you changing the beta release? Don't forget to change it in the tarball name, and setup section
Release: 1%{dist}%{?_without_optimizations:_debug}
License: GPL
Group: Utilities/System
Source: asterisk-%{version}.tar.gz
Source2: asterisk.logrotate
Patch2: voicemail-splitopts.patch
Patch3: voicemail-splitopts-odbcstorage.patch
Patch4: voicemail-splitopts-imapstorage.patch
Patch6: lazymembers.patch
Patch8: ASTERISK-rb3984.patch
BuildRoot: %{_tmppath}/asterisk-%{version}-root
URL: http://www.asterisk.org
Vendor: Schmooze Com, Inc.
Packager: Bryan Walters <bryan.walters@schmoozecom.com>
# Uncomment when we're ready to be the default.
#Provides: asterisk
#Obsoletes: asterisk
Conflicts: asterisk14
Conflicts: asterisk16
Conflicts: asterisk18
Conflicts: asterisk10
Conflicts: asterisk11
Conflicts: asterisk12
Provides: asterisk%{astapi}
BuildRequires: subversion
Requires: pjproject >= %{pjprojectversion}
BuildRequires: pjproject-devel >= %{pjprojectversion}
Requires: lua
BuildRequires: lua-devel
Requires: iksemel
BuildRequires: iksemel-devel
Requires: portaudio
BuildRequires: portaudio-devel
Requires: neon
BuildRequires: neon-devel
Requires: libxml2
BuildRequires: libxml2-devel
Requires: spandsp
BuildRequires: spandsp-devel
Requires: libical
BuildRequires: libical-devel
Requires: libsrtp
BuildRequires: libsrtp-devel
Requires: freeradius
Requires: radiusclient-ng
BuildRequires: radiusclient-ng-devel
Requires: jack-audio-connection-kit
BuildRequires: jack-audio-connection-kit-devel
Requires: libresample
BuildRequires: libresample-devel
Requires: openldap
BuildRequires: openldap-devel
Requires: sqlite
BuildRequires: sqlite-devel
Requires: sqlite2
BuildRequires: sqlite2-devel
Requires: unixODBC
BuildRequires: unixODBC-devel
Requires: libtool-ltdl
BuildRequires: libtool-ltdl-devel
Requires: pjproject >= %{pjprojectversion}
BuildRequires: pjproject-devel >= %{pjprojectversion}

#BuildRequires: asterisk-osp-devel

%{?_without_optimizations:Requires: %{name}-debuginfo = %{version}-%{release}}
Requires: %{name}-core = %{version}-%{release}
%{!?_without_dahdi:Requires: %{name}-dahdi = %{version}-%{release}}
Requires: %{name}-doc = %{version}
Requires: %{name}-voicemail = %{version}-%{release}
Requires: asterisk-sounds-core-en-gsm
BuildRequires: ncurses-devel
BuildRequires: libxml2-devel
BuildRequires: libuuid-devel
BuildRequires: jansson-devel
%{!?_without_newt:BuildRequires: newt-devel}
BuildConflicts: rh-postgresql-devel

%description
Asterisk is an open source PBX and telephony development platform.  Asterisk
can both replace a conventional PBX and act as a platform for the
development of custom telephony applications for the delivery of dynamic
content over a telephone; similar to how one can deliver dynamic content
through a web browser using CGI and a web server.

Asterisk supports a variety of telephony hardware including BRI, PRI, POTS,
and IP telephony clients using the Inter-Asterisk eXchange (IAX) protocol (e.g.
gnophone or miniphone).  For more information and a current list of supported
hardware, see http://www.asterisk.org

%package core
Summary: Asterisk core package without any "extras".
Group: Utilities/System
Provides: asterisk-core
Provides: asterisk%{astapi}-core
#Obsoletes: asterisk-core
Conflicts: asterisk14-core
Conflicts: asterisk16-core
Conflicts: asterisk18-core
Conflicts: asterisk10-core
Conflicts: asterisk11-core
Conflicts: asterisk12-core
Requires: openssl
Requires: libxml2

%description core
This package contains a base install of Asterisk without any "extras".

#
#  Alsa subpackage
#
%{?_without_alsa:%if 0}
%{!?_without_alsa:%if 1}
%package alsa
Summary: Alsa channel driver for Asterisk
Group: Utilities/System
Provides: asterisk-alsa
Provides: asterisk%{astapi}-alsa
#Obsoletes: asterisk-alsa
%if "%{distname}" == "suse" || "%{distname}" == "sles"
BuildRequires: alsa-devel
Requires: alsa
%else
BuildRequires: alsa-lib-devel
Requires: alsa-lib
%endif
Requires: %{name}-core = %{version}-%{release}

%description alsa
Alsa channel driver for Asterisk
%endif

#
#  snmp subpackage
#
%{?_without_snmp:%if 0}
%{!?_without_snmp:%if 1}
%package snmp
Summary: snmp resource module for Asterisk
Group: Utilities/System
Provides: asterisk-snmp
Provides: asterisk%{astapi}-snmp
#Obsoletes: asterisk-snmp
%if "%{distname}" == "suse" || "%{distname}" == "sles"
BuildRequires: sensors
BuildRequires: tcpd-devel
%else
BuildRequires: lm_sensors-devel
%endif
BuildRequires: net-snmp-devel
Requires: net-snmp
Requires: %{name}-core = %{version}-%{release}

%description snmp
snmp resource module for Asterisk
%endif

#
#  pgsql subpackage
#
%{?_without_pgsql:%if 0}
%{!?_without_pgsql:%if 1}
%package pgsql
Summary: Postgresql modules for Asterisk
Group: Utilities/System
Provides: asterisk-pgsql
Provides: asterisk%{astapi}-pgsql
#Obsoletes: asterisk-pgsql
BuildRequires: postgresql-devel
Requires: postgresql
Requires: %{name}-core = %{version}-%{release}

%description pgsql
Postgresql modules for Asterisk
%endif

#
#  tds subpackage
#
%{?_without_tds:%if 0}
%{!?_without_tds:%if 1}
%package tds
Summary: tds modules for Asterisk
Group: Utilities/System
Provides: asterisk-tds
Provides: asterisk%{astapi}-tds
#Obsoletes: asterisk-tds
BuildRequires: freetds-devel
Requires: freetds
Requires: %{name}-core = %{version}-%{release}

%description tds
tds modules for Asterisk
%endif

#
#  dahdi subpackage
#
%{?_without_dahdi:%if 0}
%{!?_without_dahdi:%if 1}
%package dahdi
Summary: DAHDI channel driver for Asterisk
Group: Utilities/System
Provides: asterisk-dahdi
Provides: asterisk%{astapi}-dahdi
#Obsoletes: asterisk-dahdi
Requires: %{name}-core = %{version}-%{release}
BuildRequires: libopenr2-devel
BuildRequires: libpri-devel
BuildRequires: libss7-devel
BuildRequires: libtonezone-devel
BuildRequires: dahdi-linux-devel
# rem via bryan for pbxtended
#Requires: libopenr2
#Requires: libpri
#Requires: libss7
#Requires: libtonezone
#Requires: dahdi-linux
#Requires: dahdi-linux-kmod
AutoReqProv: no

%description dahdi
DAHDI channel driver for Asterisk
%endif

#
#  mISDN subpackage
#
%{?_without_misdn:%if 0}
%{!?_without_misdn:%if 1}
%package misdn
Summary: mISDN channel driver for Asterisk
Group: Utilities/System
Provides: asterisk-misdn
Provides: asterisk%{astapi}-misdn
#Obsoletes: asterisk-misdn
Requires: %{name}-core = %{version}-%{release}
BuildRequires: mISDNuser-devel
BuildRequires: mISDN-devel
Requires: mISDNuser
Requires: mISDN
Requires: mISDN-kmod
AutoReqProv: no

%description misdn
mISDN channel driver for Asterisk
%endif

#
#  Configs subpackage
#
%package configs
Summary: Basic configuration files for Asterisk
Group: Utilities/System
Provides: asterisk-configs
Provides: asterisk%{astapi}-configs
#Obsoletes: asterisk-configs
Requires: %{name}-core = %{version}

%description configs
The sample configuration files for Asterisk

#
#  cURL subpackage
#
%{?_without_curl:%if 0}
%{!?_without_curl:%if 1}
%package curl
Summary: cURL application module for Asterisk
Group: Utilities/System
Provides: asterisk-curl
Provides: asterisk%{astapi}-curl
#Obsoletes: asterisk-curl
BuildRequires: curl-devel
Requires: curl
Requires: %{name}-core = %{version}-%{release}

%description curl
cURL application module for Asterisk
%endif

#
#  Development subpackage
#
%package devel
Summary: Static libraries and header files for Asterisk development
Group: Development/Libraries
Provides: asterisk-devel
Provides: asterisk%{astapi}-devel
#Obsoletes: asterisk-devel
Requires: %{name}-core = %{version}

%description devel
The static libraries and header files needed for building additional Asterisk
plugins/modules

#
#  Documentation subpackage
#
%package doc
Summary: Documentation files for Asterisk
Group: Development/Libraries
Provides: asterisk-doc
Provides: asterisk%{astapi}-doc
#Obsoletes: asterisk-doc
Requires: %{name}-core = %{version}

%description doc
The Documentation files for Asterisk

#
#  Ogg-Vorbis subpackage
#
%{?_without_ogg:%if 0}
%{!?_without_ogg:%if 1}
%package ogg
Summary: Ogg-Vorbis codec module for Asterisk
Group: Utilities/System
Provides: asterisk-ogg
Provides: asterisk%{astapi}-ogg
#Obsoletes: asterisk-ogg
BuildRequires: libvorbis-devel libogg-devel
Requires: libvorbis libogg
Requires: %{name}-core = %{version}-%{release}

%description ogg
Asterisk format plugin for the Ogg-Vorbis codec
%endif

#
#  Speex subpackage
#
%{?_without_speex:%if 0}
%{!?_without_speex:%if 1}
%package speex
Summary: Speex codec module for Asterisk
Group: Utilities/System
Provides: asterisk-speex
Provides: asterisk%{astapi}-speex
#Obsoletes: asterisk-speex
BuildRequires: speex-devel
Requires: speex
Requires: %{name}-core = %{version}-%{release}

%description speex
Asterisk format plugin for the Speex codec
%endif

#
#  resample subpackage
#
%{?_without_resample:%if 0}
%{!?_without_resample:%if 1}
%package resample
Summary: resampling codec module for Asterisk
Group: Utilities/System
Provides: asterisk-resample
Provides: asterisk%{astapi}-resample
#Obsoletes: asterisk-resample
BuildRequires: libresample-devel
Requires: libresample
Requires: %{name}-core = %{version}-%{release}

%description resample
Asterisk plugin for the resample codec
%endif

#
#  unixODBC subpackage
#
%{?_without_odbc:%if 0}
%{!?_without_odbc:%if 1}
%package odbc
Summary: Open Database Connectivity (ODBC) drivers for Asterisk
Group: Utilities/System
Provides: asterisk-odbc
Provides: asterisk%{astapi}-odbc
#Obsoletes: asterisk-odbc
BuildRequires: unixODBC-devel
Requires: unixODBC
Requires: %{name}-core = %{version}-%{release}

%description odbc
ODBC drivers for Asterisk
%endif

#
#  sqlite3 subpackage
#
%{?_without_sqlite3:%if 0}
%{!?_without_sqlite3:%if 1}
%package sqlite3
Summary: sqlite3 drivers for Asterisk
Group: Utilities/System
Provides: asterisk-sqlite3
Provides: asterisk%{astapi}-sqlite3
#Obsoletes: asterisk-sqlite3
BuildRequires: sqlite-devel
Requires: sqlite
Requires: %{name}-core = %{version}-%{release}

%description sqlite3
sqlite3 drivers for Asterisk
%endif

#
#  voicemail file storage subpackage
#
%package voicemail
Summary: Voicemail with file storage module for Asterisk
Group: Utilities/System
Provides: asterisk-voicemail = %{version}-%{release}
Provides: asterisk%{astapi}-voicemail
Provides: asterisk-voicemail-filestorage = %{version}-%{release}
Provides: asterisk%{astapi}-voicemail-filestorage
#Obsoletes: asterisk-voicemail
#Obsoletes: asterisk-voicemail-filestorage
Requires: %{name}-core = %{version}-%{release}
Provides: %{name}-voicemail-filestorage = %{version}-%{release}
Conflicts: %{name}-voicemail-odbcstorage
Conflicts: %{name}-voicemail-imapstorage

%description voicemail
Voicemail with file storage module for Asterisk

#
#  voicemail ODBC storage subpackage
#
%{?_without_voicemail_odbcstorage:%if 0}
%{!?_without_voicemail_odbcstorage:%if 1}
%package voicemail-odbcstorage
Summary: Voicemail with ODBC storage module for Asterisk
Group: Utilities/System
Provides: asterisk-voicemail-odbcstorage = %{version}-%{release}
Provides: asterisk%{astapi}-voicemail-odbcstorage
#Obsoletes: asterisk-voicemail-odbcstorage
BuildRequires: unixODBC-devel
Requires: unixODBC
Requires: %{name}-core = %{version}-%{release}
Provides: %{name}-voicemail = %{version}-%{release}
Conflicts: %{name}-voicemail-filestorage
Conflicts: %{name}-voicemail-imapstorage

%description voicemail-odbcstorage
Voicemail with ODBC storage module for Asterisk
%endif

#
#  voicemail IMAP storage subpackage
#
%{?_without_voicemail_imapstorage:%if 0}
%{!?_without_voicemail_imapstorage:%if 1}
%package voicemail-imapstorage
Summary: Voicemail with IMAP storage module for Asterisk
Group: Utilities/System
Provides: asterisk-voicemail-imapstorage = %{version}-%{release}
Provides: asterisk%{astapi}-voicemail-imapstorage
#Obsoletes: asterisk-voicemail-imapstorage
%if "%{distname}" == "suse" || "%{distname}" == "sles"
BuildRequires: imap-devel
Requires: imap-lib
%else
BuildRequires: libc-client-devel
Requires: libc-client
%endif
Requires: %{name}-core = %{version}-%{release}
Provides: %{name}-voicemail = %{version}-%{release}
Conflicts: %{name}-voicemail-filestorage
Conflicts: %{name}-voicemail-odbcstorage

%description voicemail-imapstorage
Voicemail with IMAP storage module for Asterisk
%endif

#
#  addons subpackage
#
%package addons
Summary: Asterisk-addons package.
Group: Utilities/System
Requires: asterisk%{astapi}-addons-core = %{version}-%{release}
Provides: asterisk-addons
Provides: asterisk%{astapi}-addons

Requires: %{name}-addons-core = %{version}-%{release}

%{?_without_mysql:%if 0}
%{!?_without_mysql:%if 1}
Requires: %{name}-addons-mysql = %{version}-%{release}
Requires: mysql
%endif

%{?_without_bluetooth:%if 0}
%{!?_without_bluetooth:%if 1}
Requires: %{name}-addons-bluetooth = %{version}-%{release}
Requires: bluez-libs
%endif

%{?_without_ooh323:%if 0}
%{!?_without_ooh323:%if 1}
Requires: %{name}-addons-ooh323 = %{version}-%{release}
%endif

%description addons
This package contains a base install of Asterisk-addons without any "extras".

#
#  addons-core subpackage
#
%package addons-core
Summary: Asterisk-addons core package.
Group: Utilities/System
Provides: asterisk-gplonly
Requires: asterisk%{astapi}-core = %{version}-%{release}
Provides: asterisk-addons-core
Provides: asterisk%{astapi}-addons-core

%description addons-core
This package contains a base install of Asterisk-addons without any "extras".

#
#  addons-mysql subpackage
#
%{?_without_mysql:%if 0}
%{!?_without_mysql:%if 1}
%package addons-mysql
Summary: mysql modules for Asterisk
Group: Utilities/System
BuildRequires: mysql-devel
Requires: mysql
Requires: %{name}-addons-core = %{version}-%{release}
Provides: asterisk-addons-mysql
Provides: asterisk%{astapi}-addons-mysql

%description addons-mysql
mysql modules for Asterisk
%endif

#
#  bluetooth subpackage
#
%{?_without_bluetooth:%if 0}
%{!?_without_bluetooth:%if 1}
%package addons-bluetooth
Summary: bluetooth modules for Asterisk
Group: Utilities/System
BuildRequires: bluez-libs-devel
Requires: bluez-libs
Requires: %{name}-core = %{version}-%{release}
Provides: asterisk-addons-bluetooth
Provides: asterisk%{astapi}-addons-bluetooth

%description addons-bluetooth
bluetooth modules for Asterisk
%endif

#
#  ooh323 subpackage
#
%{?_without_ooh323:%if 0}
%{!?_without_ooh323:%if 1}
%package addons-ooh323
Summary: chan_ooh323 module for Asterisk
Group: Utilities/System
Requires: %{name}-core = %{version}-%{release}
Provides: asterisk-addons-ooh323
Provides: asterisk%{astapi}-addons-ooh323

%description addons-ooh323
chan_ooh323 module for Asterisk
%endif

%prep
%setup -n asterisk-%{version}

# Create copies for odbcstorage and imapstorage voicemail modules.
%{?_without_voicemail_odbcstorage:%if 0}
%{!?_without_voicemail_odbcstorage:%if 1}
cp apps/app_voicemail.c apps/app_voicemail_odbcstorage.c
cp apps/app_voicemail.exports.in apps/app_voicemail_odbcstorage.exports.in
%patch3 -p0
%endif

%{?_without_voicemail_imapstorage:%if 0}
%{!?_without_voicemail_imapstorage:%if 1}
cp apps/app_voicemail.c apps/app_voicemail_imapstorage.c
cp apps/app_voicemail.exports.in apps/app_voicemail_imapstorage.exports.in
%patch4 -p0
%endif

%patch2 -p0
%patch6 -p1
%patch8 -p0

%build
%ifarch x86_64
%define makeflags OPT=-fPIC
%else
%define makeflags OPT=
%endif
echo %{version}%{?_without_optimizations:-debug} > .version

./configure --libdir=%{_libdir}
make menuselect.makeopts
#menuselect/menuselect --list-options to get the options passed below
menuselect/menuselect --disable-category MENUSELECT_CORE_SOUNDS --disable-category MENUSELECT_EXTRA_SOUNDS --disable-category MENUSELECT_MOH --enable-category MENUSELECT_ADDONS --enable res_pktccops --enable chan_mgcp --enable chan_motif --enable app_meetme --enable app_page --enable res_snmp --enable res_srtp --enable DONT_OPTIMIZE --disable BUILD_NATIVE --disable res_calendar --disable res_calendar_caldav --disable res_calendar_ews --disable res_calendar_exchange --disable res_calendar_icalendar #--enable res_mwi_blf

contrib/scripts/get_mp3_source.sh

make %{makeflags}

%install
echo DEBUG
pwd

mkdir -p $RPM_BUILD_ROOT/home/asterisk/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/
echo "AST_USER=asterisk" > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/asterisk
echo "AST_GROUP=asterisk" >> $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/asterisk
echo "COREDUMP=yes" >> $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/asterisk

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT samples
make DESTDIR=$RPM_BUILD_ROOT config

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/asterisk
echo -e "#This comment is to fix rpm file replacing\n#Config file built on $(date)" >> $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/asterisk

mkdir -p $RPM_BUILD_ROOT/var/lib/asterisk/licenses/
mkdir -p $RPM_BUILD_ROOT/var/lib/digium/licenses/

%pre core
useradd -r -M -s /sbin/nologin -d /home/asterisk asterisk 2> /dev/null || :

%post core
ldconfig
chkconfig --add asterisk

#shmz ha install, so treat it as such and redo the links
if [ -e /etc/schmooze/pbx-ha -a -f /etc/drbd.d/asterisk.res ]; then
	[ ! -h /var/log/asterisk ] && ( rm -rf /var/log/asterisk; ln -s /drbd/asterisk/log /var/log/asterisk )
	[ ! -h /var/spool/asterisk ] && ( rm -rf /var/spool/asterisk ; ln -s /drbd/asterisk/spool /var/spool/asterisk )
	[ ! -h /var/lib/asterisk ] && ( rm -rf /var/lib/asterisk; ln -s /drbd/asterisk/lib /var/lib/asterisk )
	[ ! -h /etc/asterisk ] && ( rm -rf /etc/asterisk; ln -s /drbd/asterisk/etcasterisk /etc/asterisk )
fi

%post
rm -f /etc/logrotate.d/asterisk.rpm*.*

%clean
cd $RPM_BUILD_DIR
%{__rm} -rf asterisk-%{version}
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%files core
%defattr(-, root, root)
%config %{_sysconfdir}/rc.d/init.d/asterisk
%config %{_sysconfdir}/sysconfig/asterisk
%attr(0775,asterisk,asterisk) %dir %{_sysconfdir}/asterisk
%attr(0755,asterisk,asterisk) %dir /home/asterisk

%{_libdir}/asterisk/modules
%{_sbindir}/asterisk
%{_sbindir}/rasterisk
%{_sbindir}/safe_asterisk
%{_sbindir}/astcanary
%{_sbindir}/astgenkey
%{_sbindir}/astdb2bdb
%{_sbindir}/astdb2sqlite3
%{_sbindir}/astversion

%{?_without_newt:%if 0}
%{!?_without_newt:%if 1}
#%{_sbindir}/astman
%endif
%{_sbindir}/autosupport
%{_libdir}/libasteriskssl.so.1
%{_libdir}/libasteriskssl.so

%attr(0775,asterisk,asterisk) %dir %{logdir}/asterisk
%attr(0775,asterisk,asterisk) %dir %{logdir}/asterisk/cdr-csv
%attr(0775,asterisk,asterisk) %dir %{logdir}/asterisk/cdr-custom


%config %{_sysconfdir}/logrotate.d/asterisk

%attr(0775,asterisk,asterisk) %dir /var/run/asterisk

%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/agi-bin
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/documentation
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/documentation/*
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/images
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/images/*
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/keys
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/licenses
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/phoneprov
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/phoneprov/*
%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/static-http
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/static-http/*

%attr(0755,asterisk,asterisk) %dir /var/lib/digium
%attr(0755,asterisk,asterisk) %dir /var/lib/digium/licenses

%attr(0755,asterisk,asterisk) %dir /var/lib/asterisk/rest-api
%attr(0644,asterisk,asterisk)      /var/lib/asterisk/rest-api/*

%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/meetme
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/system
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/tmp
%attr(0775,asterisk,asterisk) %dir /var/spool/asterisk/voicemail

#
#  Alsa Subpackage
#
%{?_without_alsa:%if 0}
%{!?_without_alsa:%if 1}
%files alsa
%defattr(-, root, root)
%{_libdir}/asterisk/modules/chan_alsa.so
%endif

#
#  snmp Subpackage
#
%{?_without_snmp:%if 0}
%{!?_without_snmp:%if 1}
%files snmp
%defattr(-, root, root)
%{_libdir}/asterisk/modules/res_snmp.so
%endif

#
#  pgsql Subpackage
#
%{?_without_pgsql:%if 0}
%{!?_without_pgsql:%if 1}
%files pgsql
%defattr(-, root, root)
%{_libdir}/asterisk/modules/res_config_pgsql.so
%{_libdir}/asterisk/modules/cdr_pgsql.so
%{_libdir}/asterisk/modules/cel_pgsql.so
%endif

#
#  tds Subpackage
#
%{?_without_tds:%if 0}
%{!?_without_tds:%if 1}
%files tds
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_tds.so
%{_libdir}/asterisk/modules/cel_tds.so
%endif

#
#  mISDN Subpackage
#
%{?_without_misdn:%if 0}
%{!?_without_misdn:%if 1}
%files misdn
%defattr(-, root, root)
%{_libdir}/asterisk/modules/chan_misdn.so
%endif

#
#  dahdi Subpackage
#
%{?_without_dahdi:%if 0}
%{!?_without_dahdi:%if 1}
%files dahdi
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_dahdiras.so
%{_libdir}/asterisk/modules/app_flash.so
%{_libdir}/asterisk/modules/app_meetme.so
%{_libdir}/asterisk/modules/app_page.so
%{_libdir}/asterisk/modules/chan_dahdi.so
%{_libdir}/asterisk/modules/codec_dahdi.so
%{_libdir}/asterisk/modules/res_timing_dahdi.so
%{_datadir}/dahdi/span_config.d/40-asterisk
%endif

#
#  Configs Subpackage
#
%files configs
%defattr(-, asterisk, asterisk)
%attr(0664,asterisk,asterisk) %config(noreplace) %{_sysconfdir}/asterisk/*

#
#  cURL Subpackage
#
%{?_without_curl:%if 0}
%{!?_without_curl:%if 1}
%files curl
%defattr(-, root, root)
%{_libdir}/asterisk/modules/func_curl.so
%{_libdir}/asterisk/modules/res_config_curl.so
%{_libdir}/asterisk/modules/res_curl.so
%endif

#
#  Development Subpackage
#
%files devel
%defattr(-, root, root)
%{_includedir}

#
#  Documentation Subpackage
#
%files doc
%defattr(-, root, root)

#
#  Manual Pages
#
%{_mandir}

#
#  Ogg-Vorbis Subpackage
#
%{?_without_ogg:%if 0}
%{!?_without_ogg:%if 1}
%files ogg
%defattr(-, root, root)
%{_libdir}/asterisk/modules/format_ogg_vorbis.so
%endif

#
#  Speex Subpackage
#
%{?_without_speex:%if 0}
%{!?_without_speex:%if 1}
%files speex
%defattr(-, root, root)
%{_libdir}/asterisk/modules/codec_speex.so
%endif

#
#  resample Subpackage
#
%{?_without_resample:%if 0}
%{!?_without_resample:%if 1}
%files resample
%defattr(-, root, root)
%{_libdir}/asterisk/modules/codec_resample.so
%endif

#
#  unixODBC Subpackage
#
%{?_without_odbc:%if 0}
%{!?_without_odbc:%if 1}
%files odbc
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_adaptive_odbc.so
%{_libdir}/asterisk/modules/cdr_odbc.so
%{_libdir}/asterisk/modules/cel_odbc.so
%{_libdir}/asterisk/modules/func_odbc.so
%{_libdir}/asterisk/modules/res_config_odbc.so
%{_libdir}/asterisk/modules/res_odbc.so
%endif

#
#  sqlite3 Subpackage
#
%{?_without_sqlite3:%if 0}
%{!?_without_sqlite3:%if 1}
%files sqlite3
%defattr(-, root, root)
%{_libdir}/asterisk/modules/cdr_sqlite3_custom.so
%{_libdir}/asterisk/modules/cel_sqlite3_custom.so
%endif

#
#  voicemail file storage Subpackage
#
%files voicemail
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_voicemail.so

#
#  voicemail ODBC storage Subpackage
#
%{?_without_voicemail_odbcstorage:%if 0}
%{!?_without_voicemail_odbcstorage:%if 1}
%files voicemail-odbcstorage
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_voicemail_odbcstorage.so
%endif

#
#  voicemail IMAP storage Subpackage
#
%{?_without_voicemail_imapstorage:%if 0}
%{!?_without_voicemail_imapstorage:%if 1}
%files voicemail-imapstorage
%defattr(-, root, root)
%{_libdir}/asterisk/modules/app_voicemail_imapstorage.so
%endif

%files addons
%defattr(-, root, root)

%files addons-core
%defattr(-, root, root)
%{_libdir}/asterisk/modules/format_mp3.so

%{?_without_mysql:%if 0}
%{!?_without_mysql:%if 1}
%files addons-mysql
%{_libdir}/asterisk/modules/app_mysql.so
%{_libdir}/asterisk/modules/cdr_mysql.so
%{_libdir}/asterisk/modules/res_config_mysql.so
%endif

%{?_without_bluetooth:%if 0}
%{!?_without_bluetooth:%if 1}
%files addons-bluetooth
%{_libdir}/asterisk/modules/chan_mobile.so
%endif

%{?_without_ooh323:%if 0}
%{!?_without_ooh323:%if 1}
%files addons-ooh323
%{_libdir}/asterisk/modules/chan_ooh323.so
%endif

%changelog
* Fri Jun 13 2014 Derek Carter <derek.carter@schmoozecom.com> 12.3.2-1
- Version Bump

* Wed Jun 11 2014 Derek Carter <derek.carter@schmoozecom.com> 12.3.1-1
- New SHMZ common build system

* Fri Oct 07 2011 Jason Parker <jparker@digium.com> - 1.8.7.0-1
- Update to 1.8.7.0

* Thu Sep 01 2011 Jason Parker <jparker@digium.com> - 1.8.6.0-1
- Update to 1.8.6.0

* Mon Jul 11 2011 Jason Parker <jparker@digium.com> - 1.8.5.0-1
- Update to 1.8.5.0

* Tue Jun 28 2011 Jason Parker <jparker@digium.com> - 1.8.4.4-1
- Update to 1.8.4.4

* Thu Jun 23 2011 Jason Parker <jparker@digium.com> - 1.8.4.3-1
- Update to 1.8.4.3

* Thu Jun 02 2011 Jason Parker <jparker@digium.com> - 1.8.4.2-1
- Update to 1.8.4.2

* Fri May 20 2011 Jason Parker <jparker@digium.com> - 1.8.4.1-1
- Update to 1.8.4.1

* Fri May 13 2011 Jason Parker <jparker@digium.com> - 1.8.4-1
- Update to 1.8.4

* Thu Apr 21 2011 Jason Parker <jparker@digium.com> - 1.8.3.3-1
- Update to 1.8.3.3

* Thu Mar 17 2011 Jason Parker <jparker@digium.com> - 1.8.3.2-1
- Update to 1.8.3.2

* Wed Mar 16 2011 Jason Parker <jparker@digium.com> - 1.8.3.1-1
- Update to 1.8.3.1

* Mon Feb 28 2011 Jason Parker <jparker@digium.com> - 1.8.3-1
- Update to 1.8.3

* Mon Feb 21 2011 Jason Parker <jparker@digium.com> - 1.8.2.4-1
- Update to 1.8.2.4

* Thu Jan 20 2011 Jason Parker <jparker@digium.com> - 1.8.2.2-1
- Update to 1.8.2.2

* Tue Jan 18 2011 Jason Parker <jparker@digium.com> - 1.8.2.1-1
- Update to 1.8.2.1

* Fri Jan 14 2011 Jason Parker <jparker@digium.com> - 1.8.2-1
- Update to 1.8.2

* Mon Dec 13 2010 Jason Parker <jparker@digium.com> - 1.8.1.1-1
- Update to 1.8.1.1

* Fri Oct 22 2010 Jason Parker <jparker@digium.com> - 1.8.0-1
- Update to 1.8.0

* Mon Oct 18 2010 Jason Parker <jparker@digium.com> - 1.8.0-rc5-1
- Update to 1.8.0-rc5

* Mon Oct 18 2010 Jason Parker <jparker@digium.com> - 1.8.0-rc4-1
- Update to 1.8.0-rc4

* Fri Oct 08 2010 Jason Parker <jparker@digium.com> - 1.8.0-rc3-1
- Update to 1.8.0-rc3

* Thu Sep 23 2010 Jason Parker <jparker@digium.com> - 1.8.0-rc2-1
- Update to 1.8.0-rc2

* Tue Sep 21 2010 Jason Parker <jparker@digium.com> - 1.8.0-beta5-1
- Initial 1.8 build.
